Subject: bug#35433: 27.0.50; 'function' docstring: tell more about advantages?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Apr 2019 09:48:51 +0300

> From: Michael Heerdegen <[email-masked]>
> Date: Fri, 26 Apr 2019 05:40:42 +0200
> 
> I wonder if we should add to the docstring of `function' that when the
> argument is a symbol, several checks are performed: it is checked
> whether the function will be defined at run-time and whether the
> function is obsolete, for example.
> 
> The current docstring doesn't suggest that function-quoting symbols has
> any advantages, but these warnings are also useful for users' init
> files, people that are not always informed what "argument is byte
> compiled" implies.

I think these details belong first and foremost to the ELisp manual.
We could also add a shortened version to the doc string, but I'd like
first to see the full version in the manual.

Thanks.